org.jboss.jca.as.converters.wls.metadata

## Class ConnectionDefinitionImpl

- java.lang.Object
- - org.jboss.jca.as.converters.wls.metadata.ConnectionDefinitionImpl

- All Implemented Interfaces:
    java.io.Serializable, ConnectionDefinition, WlsMetadata

      public class ConnectionDefinitionImpl
      extends java.lang.Object
      implements ConnectionDefinition

  A generic ConnectionDefinition.
  Author:
    Jeff Zhang
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.jboss.jca.as.converters.wls.api.metadata.ConnectionDefinition

      `ConnectionDefinition.Attribute, ConnectionDefinition.Tag`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectionDefinitionImpl(java.lang.String cdi, ConnectionDefinitionProperties cdProps, java.util.List<ConnectionInstance> cis)` constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getConnectionFactoryInterface()` getConnectionFactoryInterface
    `java.util.List<ConnectionInstance>` | `getConnectionInstance()` getConnectionInstance
    `ConnectionDefinitionProperties` | `getDefaultConnectionProperties()` getDefaultConnectionProperties

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConnectionDefinitionImpl

          public ConnectionDefinitionImpl(java.lang.String cdi,
                                          ConnectionDefinitionProperties cdProps,
                                          java.util.List<ConnectionInstance> cis)

      constructor
      Parameters:
        `cdi` - ConnectionFactoryInterface
        `cdProps` - ConnectionDefinitionProperties
        `cis` - List

  - ### Method Detail

    - #### getConnectionFactoryInterface

          public java.lang.String getConnectionFactoryInterface()

      Description copied from interface: `ConnectionDefinition`
      getConnectionFactoryInterface
      Specified by:
        `getConnectionFactoryInterface` in interface `ConnectionDefinition`
      Returns:
        the ConnectionFactoryInterface

    - #### getDefaultConnectionProperties

          public ConnectionDefinitionProperties getDefaultConnectionProperties()

      Description copied from interface: `ConnectionDefinition`
      getDefaultConnectionProperties
      Specified by:
        `getDefaultConnectionProperties` in interface `ConnectionDefinition`
      Returns:
        the ConnectionDefinitionProperties

    - #### getConnectionInstance

          public java.util.List<ConnectionInstance> getConnectionInstance()

      Description copied from interface: `ConnectionDefinition`
      getConnectionInstance
      Specified by:
        `getConnectionInstance` in interface `ConnectionDefinition`
      Returns:
        the List

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)